# Copyright (c) 2002, 2003 by Intevation GmbH
# Authors:
# Silke Reimer <silke@intevation.de>
#
# This program is free software under the GPL (>=v2)
# Read the file COPYING coming with edbsilon for details.

"""
Main entry point for the test suite.

Just run this file as a python script to execute all tests
"""

__version__ = "$Revision: 66 $"
# $Source$
# $Id: runtests.py 66 2005-04-18 13:13:31Z silke $

import os


import sys
import warnings
import unittest
import getopt

import support
support.initedbs()

sys.path.append('..')

def main():
    """Run all the tests in the test suite"""

    verbosity = 1

    opts, args = getopt.getopt(sys.argv[1:], 'v', ['verbose'])
    for optchar, value in opts:
        if optchar in ("-v", "--verbose"):
            verbosity = 2
        else:
            print>>sys.stderr, "Unknown option", optchar

    # All Python files starting with test in the current directory
    # contain test cases.
    # FIXME: It should be possible to run runtests.py even when not in
    # the test directory
    files = os.listdir(os.curdir)
    names = []
    for file in files:
        if file[:4] == "test" and file[-3:] == ".py":
            names.append(file[:-3])

    suite = unittest.defaultTestLoader.loadTestsFromNames(names)
    runner = support.EDBSTestRunner(verbosity = verbosity)
    result = support.execute_as_testsuite(runner.run, suite)

    sys.exit(not result.wasSuccessful())


if __name__ == "__main__":
    main()
