# -*- encoding: iso-8859-1 -*-
#
# Copyright (C)  2007 by Intevation GmbH
# Authors:
# Ludwig Reiter <ludwig@intevation.de>
#
# This program is free software under the GPL (>=v2)
# Read the file COPYING coming with the software for details.

"""test_Rahmenobjekt.py   von Ludwig Reiter
   begonnen: 28.11.2007
   Testet: Die get_RahmenobjektPolygon Methode von Feature und
     exportRahmenobjekt."""

# Richtigen Pfade.
import sys
import os
from string import join, split
sys.path +=[os.path.join(os.pardir, "Konverter")]
sys.path +=[os.path.join(os.pardir, "Lib")]

import unittest
import edbsclasses

class Rahmenobjekt_TestCase(unittest.TestCase):
    """Rahmenobjekt-Testflle"""
    def setUp(self):
        self.feature = edbsclasses.Feature("Test Objekt")
        self.feature.Objkoor = (0.0, 1.0)
    def tearDown(self):
        pass
    def test_get_RahmenobjektPolygon(self):
        """Ruft die Methode get_RahmenobjektPolygon auf und vergleicht
        das erzeugte Polygon mit einen vorberechneten Resultat."""
        polygon = self.feature.get_RahmenobjektPolygon()
        self.compareLists(polygon.getganzeListe(), 
                [(0.0,1.0), (0.0,63.5), (62.5,63.5), (62.5,1.0), (0.0,1.0)])
        
    def compareLists(self, list1, list2): 
        i = 0
        N =  min(len(list1), len(list2))
        while i < N:
            self.assertEqual(list1[i],list2[i])
            i += 1

